Bug 1344042

Summary: LibreOffice Writer mouse wheel scrolling doesn't scroll far enough on each wheel event
Product: [Fedora] Fedora Reporter: Assen Totin <assen>
Component: libreofficeAssignee: Caolan McNamara <caolanm>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 24CC: caolanm, dtardon, erack, mstahl, sbergman
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: libreoffice-5.1.4.1-3.fc24 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-19 15:51:53 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Assen Totin 2016-06-08 15:13:50 UTC
Description of problem:
Mouse scrolling in LibreOffice Write is several times slower than in all other apps. "Slower" here means that much less lines of text (or screen area in general) is scrolled up/down for the same amount of mouse wheel rotation, compared to other applications (e.g., Firefox).

Version-Release number of selected component (if applicable):
libreoffice-5.1.3.2-6.fc24.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1. Open a multi-page ODF document in LibreOffice Writer (contents does not matter; text-only is fine).
2. Scroll using the mouse wheel. 

Actual results:
Page scrolls much slower than in other apps like Fiefox or notepad.

Expected results:
Scroll rate should be approximately the same as with any other app. 

Additional info:
LibreOffice is build against GTK3, but so is Firefox, which does not suffer from the issue. The problem was not present in previosu editions of LibreOffice that were build against GTK2. The above mentioned "notepad" is actually Pluma from MATE, which is also built against GTK3 (not a Fedora build) and scroll works properly in terms of speed.

Comment 1 Caolan McNamara 2016-06-09 10:43:35 UTC
I think I've heard this complaint before and its the use of the word "slow" which has thrown me off. Its not that scrolling is slow I think, but that scrolling with the wheel doesn't scroll "far enough" so less is scrolled rather than the scrolling is rendering slowly